#ifndef FELULET_H
#define FELULET_H

#include <algorithm>
#include <iostream>
#include <map>
#include <set>
#include <string>
#include <vector>

struct SDolgozo
{
	std::string nev;
	std::string jelszo;
	bool vezeto;
};
struct SProjekt
{
	std::string nev;
	std::string kezdo_datum;
	std::string befejezo_datum;
};
struct STagsag
{
	int projekt;
	int munkatars;
	bool vezeto;
};
struct SUzenet
{
	int projekt;
	std::string datum;
	int felado;
	int cimzett;
	std::string tartalom;
	bool olvasott;
};

extern std::map<int, SDolgozo> g_dolgozok;
extern std::map<int, SProjekt> g_projektek;
extern std::vector<STagsag> g_tagsagok;
extern std::vector<SUzenet> g_uzenetek;

extern std::string MaiDatum();
extern void Pause();
extern void CleanScreen();
extern void MentesProjektek();
extern void MentesTagsagok();
extern void MentesUzenetek();
extern void VezetoiFelulet(int dolgozo);
extern void MunkatarsiFelulet(int dolgozo);
extern bool Vezetoe(int dolgozo);
extern bool IsNumber(const std::string& str);

#endif